+1-888-365-2779
Try Now
More in this section

Forums / Bugs & Issues / Message "Could not load file or assembly 'Telerik.Security, Version=3.2.1616.2, Culture=neutral, PublicKeyToken=dfeaee0e3978ac79' ..." after upgrading to the version 3.7

Message "Could not load file or assembly 'Telerik.Security, Version=3.2.1616.2, Culture=neutral, PublicKeyToken=dfeaee0e3978ac79' ..." after upgrading to the version 3.7

8 posts, 0 answered
  1. Anders Olsen
    Anders Olsen avatar
    9 posts
    Registered:
    28 May 2010
    28 May 2010
    Link to this post
    I applied Sitefinity_3_7_2096_standard_patch.zip and followed the instructions
    http://www.sitefinity.com/support/upgrade-instructions.aspx

    I try to login as an admin and I get the error message "Could not load file or assembly 'Telerik.Security, Version=3.2.1616.2, Culture=neutral, PublicKeyToken=dfeaee0e3978ac79' " in Web\Sitefinity\Admin\Default.aspx.cs "if (module is SecuredModule && ((SecuredModule)module).CanCreate())"

    All Telerik dlls in my bin folder are upgraded to the version 3.7.2096.2 (only Telerik.OpenAccess.35.Extensions.dll and Telerik.OpenAccess.dll are 2010.1.312.2 and Telerik.Web.Design.dll is 2010.1.309.35).
    All references in my project files (*.csproj) are updated to 3.7.2096.2.

    Any ideas?
  2. Radoslav Georgiev
    Radoslav Georgiev avatar
    3370 posts
    Registered:
    01 Feb 2016
    28 May 2010
    Link to this post
    Hi Anders Olsen,

    Thank you for using our services.

    Do you have any custom modules which you have built with the older version of Sitefinity? Probably one of them is still referencing the old assembly in the bin folder. Could you verify that you have rebuilt your custom modules referencing them to the new assemblies?

    Best wishes,
    Radoslav Georgiev
    the Telerik team

    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items.
  3. Samir
    Samir avatar
    14 posts
    Registered:
    12 May 2008
    09 Jul 2010
    Link to this post
    I'm getting the excat same error message after upgrading as well. However, the wierd thing about my error is that I do not get this error if i access the site on the server using http://localhost:## (i wanted to upgrade sitefinity 3.6 to 3.7 on our development server first. So I have bounded the applciation to port ##). I only get this error if I try accessing the application using the ip address of the server, i.e., http://111.111.111.111:##. Is there something I'm missing in the settings on IIS or in the upgrade steps? I applied the upgrade patch SP3 for sitefinity 7.


    Few things to note:

    1. I do not know what edition (not version) of sitefinity we have, i.e., i don't know if we have community or the standard or what have you edition. How do I check for this? Will this one effect what upgrade patch I apply?
    2. I don't see any of the custom controls we had in the Add Controls section after I upgrade it to version 7. Is there a step i'm missing?
    3. Once I log in using the localhost, I do see that the sitefinity version is 3.7.

    Any response is appriciated. Thanks in advance.

    -Samir
  4. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    25 Nov 2016
    11 Jul 2010
    Link to this post
    Hi Samir,

    1. I do not know what edition (not version) of sitefinity we have, i.e., i don't know if we have community or the standard or what have you edition. How do I check for this? Will this one effect what upgrade patch I apply?

    Please take a look at How to check your Sitefinity version

    2. I don't see any of the custom controls we had in the Add Controls section after I upgrade it to version 7. Is there a step i'm missing?


    Make sure that you have merged the web.config property and check toolboxControls  section of your web.config file.

    3. Once I log in using the localhost, I do see that the sitefinity version is 3.7.

    You can refer to the first question to verify your version.

    Regards,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  5. Samir
    Samir avatar
    14 posts
    Registered:
    12 May 2008
    12 Jul 2010
    Link to this post
    Thanks for the response.

    Now I know that our sitefinity is a standard edition, I have few questions on the upgrade.

    1. Is it possible to apply .net 3.5 patch to a .net 2.0 version of sitefinity to upgrade it to a .net 3.5 version of the application? If not, could this be the reason I'm getting the Telerik.Security, version=3.5.### error?
    (This is what I have done to upgrade our sitefinity application from .net 2.0 to 3.5 and sitefinity version 3.6 hotfix to 3.7 SP3.)

    2. If answer to the above question is no, how do we upgrade from .net 2.0 to .net 3.5?

    3. Can we upgrade our sitefinity version 3.6 hotfix directly to version 3.7 sp3 or are there any patches we need to apply inbetween?

    Thanks.

    -samir
  6. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    25 Nov 2016
    12 Jul 2010
    Link to this post
    Hello Samir,

    Now I know that our sitefinity is a standard edition, I have few questions on the upgrade.

    1. Is it possible to apply .net 3.5 patch to a .net 2.0 version of sitefinity to upgrade it to a .net 3.5 version of the application? If not, could this be the reason I'm getting the Telerik.Security, version=3.5.### error?
    (This is what I have done to upgrade our sitefinity application from .net 2.0 to 3.5 and sitefinity version 3.6 hotfix to 3.7 SP3.
    2. If answer to the above question is no, how do we upgrade from .net 2.0 to .net 3.5?

    There should not be a problem to apply 3.5 patch over 2.0 project if the web.config and other parts are merged correctly as described in our Upgrade Instructions. Verify the your bin has the correct dlls and the application has reference to them. Make sure that the build version of the project is set to .NET Framework 3.5

    3. Can we upgrade our sitefinity version 3.6 hotfix directly to version 3.7 sp3 or are there any patches we need to apply inbetween?

    You can upgrade 3.6 hotfix to 3.7 SP3 directly.

    Regards,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  7. Samir
    Samir avatar
    14 posts
    Registered:
    12 May 2008
    14 Jul 2010
    Link to this post
    Thanks for all your help. I can find the custom controls again.

    However, the main problem still exists: Could not load file or assembly 'Telerik.Security, Version=3.2.1616.2, Culture=neutral, PublicKeyToken=dfeaee0e3978ac79' after upgrading. As I have explained earlier, I get this message only if I try to access the server with IP address on the test server; http://localhost:##/ works! This the confusing part. As you have explaind in the previous reply to check  if I have a control accessing the old version of Telerik.Security dll. shouldn't this cause for the application to re-produce the same error if I tried to access the application using localhost?

    Thanks in advance.

    -Samir
  8. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    25 Nov 2016
    14 Jul 2010
    Link to this post
    Hi Samir,

    The issue should not be related to the host you are accessing. There is a problem with the application references or compiled controls. The ID or domain is hist a key for resolving a host and these parameters could not change the application references. Check also whether you are working with the same application.

    Sincerely yours,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
Register for webinar
8 posts, 0 answered